package de.ivu.elect.interfaces.was.praesentation;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.core.GebietReferenz;
import de.ivu.elect.interfaces.was.stimmeingabe.Stimmabgabeart;

@XmlAccessorType(XmlAccessType.FIELD)
public class Praesentationsschritt implements Serializable {

  @XmlElement(required = true)
  private String bezeichnung;

  @XmlElement(required = true)
  private Long relativePosition;

  @XmlElement(required = true)
  private PraesentationsThema praesentationsThema;

  @XmlElement(required = true)
  private Stimmabgabeart stimmabgabeart;

  @XmlElement(required = true)
  private PraesentationsschrittDetails detailsEinblenden;

  @XmlElement(required = true)
  private PraesentationsschrittStatus praesentationsschrittStatus;

  @XmlElement(required = true)
  private Long zusatzzeitInSekunden;

  @XmlElement(required = false)
  private String zusatztext;

  @XmlElement(required = true)
  private GebietReferenz gebietReferenz;

  @XmlElement(required = true)
  private PraesentationGruppenAnzeige gruppenAnzeige;

  public String getBezeichnung() {
    return bezeichnung;
  }

  public void setBezeichnung(String bezeichnung) {
    this.bezeichnung = bezeichnung;
  }

  public Long getRelativePosition() {
    return relativePosition;
  }

  public void setRelativePosition(Long relativePosition) {
    this.relativePosition = relativePosition;
  }

  public PraesentationsThema getPraesentationsThema() {
    return praesentationsThema;
  }

  public void setPraesentationsThema(PraesentationsThema praesentationsThema) {
    this.praesentationsThema = praesentationsThema;
  }

  public Stimmabgabeart getStimmabgabeart() {
    return stimmabgabeart;
  }

  public void setStimmabgabeart(Stimmabgabeart stimmabgabeart) {
    this.stimmabgabeart = stimmabgabeart;
  }

  public PraesentationsschrittDetails getDetailsEinblenden() {
    return detailsEinblenden;
  }

  public void setDetailsEinblenden(PraesentationsschrittDetails detailsEinblenden) {
    this.detailsEinblenden = detailsEinblenden;
  }

  public PraesentationsschrittStatus getPraesentationsschrittStatus() {
    return praesentationsschrittStatus;
  }

  public void setPraesentationsschrittStatus(PraesentationsschrittStatus praesentationsschrittStatus) {
    this.praesentationsschrittStatus = praesentationsschrittStatus;
  }

  public Long getZusatzzeitInSekunden() {
    return zusatzzeitInSekunden;
  }

  public void setZusatzzeitInSekunden(Long zusatzzeitInSekunden) {
    this.zusatzzeitInSekunden = zusatzzeitInSekunden;
  }

  public String getZusatztext() {
    return zusatztext;
  }

  public void setZusatztext(String zusatztext) {
    this.zusatztext = zusatztext;
  }

  public GebietReferenz getGebietReferenz() {
    return gebietReferenz;
  }

  public void setGebietReferenz(GebietReferenz gebietReferenz) {
    this.gebietReferenz = gebietReferenz;
  }

  public PraesentationGruppenAnzeige getGruppenAnzeige() {
    return gruppenAnzeige;
  }

  public void setGruppenAnzeige(PraesentationGruppenAnzeige gruppenAnzeige) {
    this.gruppenAnzeige = gruppenAnzeige;
  }
}
